Subject: Re: stunnel
From: "Robert Collins" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 22 Mar 2001 08:42:30 +1100

----- Original Message -----
From: "Jacek Trzcinski" <[email-masked]>
To: "Robert Collins" <[email-masked]>
Sent: Thursday, March 22, 2001 1:25 AM
Subject: Re: stunnel

> Hi!
> I do not know exactly what You mean. I have stunnel.exe and needed two
> ssl's DLL libraries received from stunnel.org but  I wanted to get
> version
> working with cygwin openssl. Compilation of stunnel sources sooner or
> later leads to compilation errors. Without any changes there are
errors
> because for example cygwin does not support pty devices. There is
> possibility to
> show "make" explicitly doing windows .exe by typing "make stunnel.exe"
> (changing before cc compiler from i386-mingw32msvc-gcc to gcc). It
does
> not work too because of many redefinition errors. Even if it had
> compiled good
> it would not has linked because of absence of needed libraries ( at
last
> it is not version for cygwin). Have You any idea or do You know what
to
> change
> to compile stunnel under cygwin ? Maybe there are sources supporting
> cygwin
> somewhere.
>
> Thank You in advance.
>
> jacek
>

Please keep replies cc'd to the list.

* If you have a .exe, follow the advice given you by the creator of that
.exe.

* If you want to build from source I suggest you follow the standard
unix steps of
./configure && make && make install
and then consider asking for _with the errors_.

* Have you asked the authors of stunnel - they are far more likely to
know than I am.

And finally, IIRC cygwin does support pty devices but it sounds like you
haven't follow the normal steps for porting a unix program. What
libraries are needed? Did you run configure?What did the stunnel authors
says?

Rob

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple